package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserRoleDetailTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRoleDetailRepository extends BaseRepository<UserRoleDetailTable> {
    List<UserRoleDetailTable> findAllByIdNotInAndRoleId(List<Long> ids, Long roleId);

    List<UserRoleDetailTable> findAllByIdInAndRoleId(List<Long> ids, Long roleId);

    List<UserRoleDetailTable> findAllByRoleId(Long roleId);
}
